<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://accountBgdBrowse.caption"
        focusComponent="transactionTypesTable">
    <data readOnly="true">
        <collection id="transactionTypesDc"
                    class="com.company.management.entity.wallet.TransactionType">
            <fetchPlan extends="_base"/>
            <loader id="transactionTypesDl">
                <query>
                    <![CDATA[select e from TransactionType e]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout expand="transactionTypesTable" spacing="true">
        <filter id="filter"
                dataLoader="transactionTypesDl">
            <properties include=".*"/>
        </filter>
        <table id="transactionTypesTable"
               width="100%"
               dataContainer="transactionTypesDc">
            <actions>
                <action id="create" type="create"/>
                <action id="edit" type="edit"/>
                <action id="remove" type="remove"/>
            </actions>
            <columns>
                <column id="code"/>
                <column id="createdBy"/>
                <column id="createdDate"/>
                <column id="deletedBy"/>
                <column id="deletedDate"/>
                <column id="description"/>
                <column id="lastModifiedBy"/>
                <column id="lastModifiedDate"/>
                <column id="name"/>
                <column id="version"/>
            </columns>
            <simplePagination/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="createBtn" action="transactionTypesTable.create"/>
                <button id="editBtn" action="transactionTypesTable.edit"/>
                <button id="removeBtn" action="transactionTypesTable.remove"/>
            </buttonsPanel>
        </table>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
